Bug 56541 - Spreadsheet created in MS Excel 2010 does not translate VB script correctly in Spreadsheet program
Summary: Spreadsheet created in MS Excel 2010 does not translate VB script correctly i...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-VBA XLS
  Show dependency treegraph
 
Reported: 2012-10-29 20:24 UTC by D. Charlie Curcija
Modified: 2018-06-03 20:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example MS Excel spreadsheet containing VB script that does not run in LibreOffice (914.54 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2012-10-29 20:24 UTC, D. Charlie Curcija
Details

Note You need to log in before you can comment on or make changes to this bug.
Description D. Charlie Curcija 2012-10-29 20:24:14 UTC
Created attachment 69251 [details]
Example MS Excel spreadsheet containing VB script that does not run in LibreOffice

MS Excel spreadsheet created in MS Office 2010 (MS Windows 7 64 bit OS with MS Office 2010 32 bit) contains VB script that works correctly in Excel (both on Windows and Mac versions), but when opened in LibreOffice Spreadsheet it reports error when VB is started.  VB is run from the tab "Ranking" by pressing "Rank Options" button.  Affected file is attached.
Comment 1 LeMoyne Castle 2012-12-19 23:01:29 UTC
Charlie, 
Your spreadsheet was attached as plain text and is therefore hard to read.  Also it would be helpful to have more info on the error that you see when the script is run in LibreOffice.
Comment 2 bfoman (inactive) 2013-03-04 14:28:33 UTC
Confirmed with:
LO 4.0.0.3
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Error message:

BASIC runtime error.
'1'

Type: com.sun.star.uno.RuntimeException
Message: 


in row: 
If ActiveSheet.DropDowns("czpicker").Value <> "" Then
Comment 3 QA Administrators 2015-03-04 02:18:03 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-22 11:12:32 UTC
Confirmed.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 5 tommy27 2016-04-16 07:24:15 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:25:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522